=== debian/changelog ===
openjade (1.4devel1-23.3) unstable; urgency=medium

  * Non-maintainer upload.
  * Explicitly require root for building openjade.
    (Closes: #1091652)

 -- Niels Thykier <niels@thykier.net>  Sun, 29 Dec 2024 10:32:32 +0000

openjade (1.4devel1-23.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Drop usage of obsolete dh_buildinfo (Closes: #1088387)

 -- Chris Hofstaedtler <zeha@debian.org>  Sun, 15 Dec 2024 01:14:45 +0100

openjade (1.4devel1-23.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Rename libraries for 64-bit time_t transition.  Closes: #1063092

 -- Benjamin Drung <bdrung@debian.org>  Thu, 29 Feb 2024 12:32:43 +0000

openjade (1.4devel1-23) unstable; urgency=medium

  * Reverted innocuous looking change to FlowObj.cxx in 21.4 which caused
    regression (e.g., DocBook tables no longer formatted correctly).
  * Updated to source format 3.0 (quilt) (Closes: #1007052).
  * Updated to debhelper compatibility level 13. 

 -- Neil Roeth <neil@debian.org>  Tue, 02 Jan 2024 23:39:03 -0500

openjade (1.4devel1-22) unstable; urgency=medium

  * Updated Makefile.am, configure.in to resolve FTBFS (Closes: #978337)
  * Replaced dh_clean -k and dh_clean -d with dh_prep (Closes: #901229)
  * Multiarchified libostyle1c2 (Closes: #891394)

 -- Neil Roeth <neil@debian.org>  Sat, 02 Jan 2021 10:57:37 -0500

openjade (1.4devel1-21.4) unstable; urgency=medium

  * Non-maintainer upload.

  [ Bernhard Übelacker ]
  * Fix segfault caused by "no return statement in function returning
    non-void" and other warnings. (Closes: #975242, #489482)

 -- Christoph Berg <myon@debian.org>  Thu, 17 Dec 2020 16:25:32 +0100

openjade (1.4devel1-21.3) unstable; urgency=low

  * Non-maintainer upload.
  * Pass -fno-lifetime-dse to GCC to work around invalid assumptions about
    object lifetimes (closes: #823419). Thanks to Daniel Schepler for the bug
    report.

 -- Jakub Wilk <jwilk@debian.org>  Sat, 01 Oct 2016 17:01:25 +0200

openjade (1.4devel1-21.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Move to debhelper compat level 9. (Closes: #817606)
    - Don't use brace expansion in debian/libostyle-dev.install.

 -- Chris Lamb <lamby@debian.org>  Sun, 25 Sep 2016 14:09:33 +0200

openjade (1.4devel1-21.1) unstable; urgency=medium

  [ Wookey ]
  * Add acinclude.m4 macro to find correct intlh header whether or
    not gettext is present (Closes: #748626, #759100)
  * Update rules file to use dh-autoreconf rather than manual commands
    and update configure.in enough for autoreconf to work

  [ Andreas Barth ]
  * Non-maintainer upload.
  * Update configure.in to set PACKAGE_TARNAME to mixed case.
  * Create po/Makevars with copyright hint to individual pot files
    and DOMAIN=jade.

 -- Andreas Barth <aba@ayous.org>  Sun, 24 Aug 2014 12:47:55 +0000

openjade (1.4devel1-21) unstable; urgency=low

  * Added dependency on libperl4-corelibs-perl for getopts.pl. (Closes:
    #724728).
  * Added explicit dependency on libostyle1c2 to libostyle-dev to ensure
    there are no broken symlinks when installed. (Closes: #715098).
  * Added man page to update-alternatives. (Closes: #662887).

 -- Neil Roeth <neil@debian.org>  Sat, 12 Oct 2013 21:09:50 -0400

openjade (1.4devel1-20.1) unstable; urgency=low

  * Non-maintainer upload.
  * Fix "FTBFS: make[1]: *** No targets specified and no makefile found.
    Stop.": fix target dependencies in debian/rules.
    (Closes: #666346)

 -- gregor herrmann <gregoa@debian.org>  Tue, 01 May 2012 17:27:19 +0200

openjade (1.4devel1-20) unstable; urgency=low

  * Resolved lintian warnings:
  - about shlibs
  - added debian/source/format
  - added build-arch and build-indep target to debian/rules
  * Updated to policy 3.9.2.0:
  - Removed obsolete -D_REENTRANT option.
  * Removed unnecessary lintian override.
  
 -- Neil Roeth <neil@debian.org>  Sat, 06 Aug 2011 10:43:48 -0400

openjade (1.4devel1-19.1) unstable; urgency=low

  * Non-maintainer upload.
  * Build with -fpermissive to fix build failure with GCC 4.6
    (Closes: #624872).
  * Don't ship .la files.

 -- Luk Claes <luk@debian.org>  Fri, 01 Jul 2011 19:39:11 +0200

openjade (1.4devel1-19) unstable; urgency=low

  * Ensure it builds with g++ 4.3

 -- Neil Roeth <neil@debian.org>  Thu, 24 Jul 2008 07:46:05 -0400

openjade (1.4devel1-18) unstable; urgency=low

  * debian/rules: COPYING inadvertently was changed to GPL, which applies
    to debian/ dir, not whole package.  Reverted back to COPYING from
    upstream, which appears to be BSD-derived. Does away with cmp that
    caused FTBFS in prior Debian version.

 -- Neil Roeth <neil@debian.org>  Thu, 31 Aug 2006 21:33:06 -0400

openjade (1.4devel1-17) unstable; urgency=low

  * debian/rules: Fix FTBFS, thanks to Julien Danjou (closes: #383772)

 -- Neil Roeth <neil@debian.org>  Sat, 19 Aug 2006 13:18:11 -0400

openjade (1.4devel1-16) unstable; urgency=low

  * Fixed "openjade: FTBFS: bashisms in debian/rules", thanks to Julien
    Danjou (closes: #376481)

 -- Neil Roeth <neil@debian.org>  Mon,  3 Jul 2006 22:20:33 -0400

openjade (1.4devel1-15) unstable; urgency=low

  * Compiled against new libosp5.

 -- Neil Roeth <neil@debian.org>  Sun,  8 Jan 2006 07:59:04 -0500

openjade (1.4devel1-14) unstable; urgency=low

  * Added dh-buildinfo.
  * Updated FSF location in COPYING. (closes: #314414)
  * Update for g++ 4.0 transition - depend on libosp4c2. (closes: #321543)
  * debian/rules: Backed optimization down from -O3 to -O2 to avoid ICE in
    g++ while compiling GroveBuilder.
  * Change "it's" to "its" in Description. (closes: #268534, #277258)

 -- Neil Roeth <neil@debian.org>  Mon,  8 Aug 2005 21:57:08 -0400

openjade (1.4devel1-13) unstable; urgency=low

  * Compiled against new libosp4.
  * Moved debhelper compatibility level from debian/rules to debian/compat.
  * Revamped debian/rules - used debhelper to simplify it greatly.
  * Moved include files from openjade package to libostyle-dev package.

