=== debian/control ===
Source: openjade
Section: text
Priority: optional
Maintainer: Neil Roeth <neil@debian.org>
Homepage: http://openjade.sourceforge.net/
Rules-Requires-Root: binary-targets
Standards-Version: 3.9.2.0
Build-Depends: dpkg-dev (>= 1.22.5), debhelper (>> 13.0.0), debhelper-compat (=13),
 libosp-dev (>= 1.5.1.0-2.1), gettext, libperl4-corelibs-perl

Package: openjade
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}
Conflicts: libostyle-dev (<< 1.4devel1-14)
Suggests: doc-base, sgml-data
Description: Implementation of the DSSSL language
 OpenJade is an implementation of the ISO/IEC 10179:1996 standard
 DSSSL language.  It is based on James Clark's Jade software.
 .
 The OpenJade processor, in conjunction with a DSSSL style sheet, is
 capable of translating SGML documents into other formats.  Output
 formats currently supported are RTF, HTML, MIF, JadeTeX, or an XML
 representation of the flow object tree.  Using its own non-standard
 system, it is also capable of transforming one SGML or XML DTD to
 another.
 .
 Author:   The OpenJade Team <jade-devel@infomansol.com>

Package: libostyle1t64
Provides: ${t64:Provides}
X-Time64-Compat: libostyle1c2
Breaks: libostyle1c2 (<< ${source:Version})
Architecture: any
Section: libs
Depends: ${shlibs:Depends}, ${misc:Depends}
Replaces: libostyle1c2, libostyle1
Conflicts: libostyle1
Description: Runtime libraries for OpenJade
 OpenJade's shared libraries, runtime support.  Includes libogrove,
 providing an abstract interface to groves; libospgrove, an interface
 to groves on top of the OpenSP suite; and libostyle, the actual DSSSL
 style engine.
 .
 This shared library is used by the openjade package.

Package: libostyle-dev
Architecture: any
Section: libdevel
Depends: libostyle1t64(= ${binary:Version}), ${misc:Depends}
Conflicts: openjade (<< 1.4devel1-14)
Description: OpenJade libraries, developer support
 Contains include files and the static library for libogrove,
 libospgrove, and libostyle.  This is useful for those developing on
 top of the OpenJade grove or DSSSL engine.
